#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <ctype.h>
#include <time.h>

#include <cups/cups.h>
#include <cups/language.h>
#include <cups/string.h>

char dvips_prog[] = "/usr/bin/dvips";

int				/* O - Exit status */
main(    int        argc,       /* I - Number of command-line arguments */
         char       *argv[])	/* I - Command-line arguments */
{
  int  i;
  char *nargv[10];
  char  tempfile[255];  /* Temporary file name */
  int   tempfd;         /* Temporary file descriptor */

#ifdef undef
  freopen("/tmp/dvitops.log", "w+", stderr);  /**/
#endif

  if (argc < 6 || argc > 7)
  {
    fprintf(stderr, "ERROR: %s job-id user title copies options [file]\n",
	    argv[0]);
    exit (1);
  }

  i = 0;
  nargv[i++] = "dvips";
  nargv[i++] = "-q";
  if (argc == 7) {
      nargv[i++] = "-o-";
      nargv[i++] = argv[6];
  }
  else {
      int  n;
      char tbuf[1024];

      tempfd = cupsTempFd(tempfile, sizeof(tempfile));
      while ((n = fread (tbuf, 1, sizeof(tbuf), stdin)) > 0)
	if (write (tempfd, tbuf, n) != n) {
	    fprintf(stderr, "ERROR: %s error copying to temporary file\n", argv[0]);
	    close (tempfd);
	    unlink (tempfile);
	    exit (1);
	}
      nargv[i++] = "-f";
      dup2 (tempfd, 0);
      unlink (tempfile);
  }
  nargv[i++] = 0;
  execv(dvips_prog, nargv);
  fprintf(stderr, "ERROR: %s cannot exec %s\n", argv[0], dvips_prog);
  exit (1);
}
